curl --request GET \
--url https://api.g1.datacrazy.io/api/v1/leads/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.g1.datacrazy.io/api/v1/leads/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.g1.datacrazy.io/api/v1/leads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "15b41959-b04d-4a99-b878-6e45fffa7633",
"createdAt": "2025-06-11T18:31:25.203Z",
"name": "Guilherme Gavazzoni",
"image": "https://dc-qqqq2222pb.s3.amazonaws.com/0a7ac87c-2f50-46b5-9c39-80ffec53e633/1163f5c2-62f4-443f-a84f-9c223b05ae3b",
"phone": "+55 (47) 991331190",
"rawPhone": "5547991331190",
"email": "guilherme@datacrazy.com.br",
"source": "Google ads",
"company": "Apple",
"taxId": "108.154.702-92",
"site": "www.meulead.com.br",
"instagram": "@guilhermegavazzoni",
"address": {
"zip": "88338-130",
"address": "Avenida Brasil",
"block": "Centro",
"city": "Balneário Camboriú",
"state": "SC",
"country": "BR"
},
"tags": {
"id": "849fefab-e697-4720-9303-e788c23790cc",
"name": "IA",
"color": "#DC2626",
"description": "Leads IA",
"createdAt": "2025-06-12T17:37:17.861Z"
},
"lists": [
{
"id": "5343afav-e697-4720-9303-e788c23711dd",
"name": "ativos",
"color": "#EB2626",
"description": "lista de compradores recorrentes",
"createdAt": "2025-06-12T17:37:17.861Z"
},
{
"id": "f2b3c92d-3843-406f-a3e3-672d2d7d2a27",
"name": "inativos",
"color": "#EB2626",
"description": "lista de compradores de baixa frequência",
"createdAt": "2025-12-03T17:28:09:5361Z"
}
],
"contacts": [
{
"platform": "EMAIL",
"contactId": "853b46db8ae664237d89dd6",
"lastContactStatus": null
},
{
"platform": "WHATSAPP",
"contactId": "555491664460",
"lastContactStatus": {
"platform": "WHATSAPP",
"contactId": "555491664460",
"instanceId": "681bb0510fe99d126e7c6b7b",
"isPending": true,
"lastReceivedMessage": {
"messageId": "684c13db8ae7797307d83cc3",
"date": "2025-06-13T12:04:48.218Z",
"errorCode": null
},
"lastSendedMessage": {
"messageId": "684c13c28ae7797307d83bc4",
"date": "2025-06-13T12:04:23.511Z",
"errorCode": null
}
}
}
],
"metrics": {
"purchaseCount": 1,
"lastPurchaseDate": "2025-06-04T19:34:55.535Z",
"averageTicket": 14040,
"totalSpent": 21080,
"openBusinessesCount": 4,
"lostBusinessesCount": 1,
"lostBusinessesTotalValue": 7800,
"purchaseFrequency": 3
},
"attendant": {
"userId": "86BshEbu5WY94ZOB8beUvk1y7tF2",
"id": "6cc8c79c-a0c8-4293-a4a0-d7e730aff7c7",
"name": "Joao da Silva",
"email": "joao@hotmail..com",
"phone": "554791331190"
},
"sourceReferral": {
"sourceId": "2bc3d979-93a4-4e64-8903-5d9379d3de91",
"sourceUrl": "https://example.com/artigo-de-origem",
"ctwaId": "849fefab-e697-4720-9303-e788c23790cc"
}
}Buscar lead por ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Id do lead
"15b41959-b04d-4a99-b878-6e45fffa7633"
Data de criação do lead
"2025-06-11T18:31:25.203Z"
Nome do lead
"Guilherme Gavazzoni"
Url da Imagem do lead
"https://dc-qqqq2222pb.s3.amazonaws.com/0a7ac87c-2f50-46b5-9c39-80ffec53e633/1163f5c2-62f4-443f-a84f-9c223b05ae3b"
Telefone do lead
"+55 (47) 991331190"
Telefone do lead (apenas números)
"5547991331190"
Email do lead
"guilherme@datacrazy.com.br"
Origem do lead
"Google ads"
Empresa do lead
"Apple"
Documento de identificação
"108.154.702-92"
Site do lead
"www.meulead.com.br"
Instagram do lead
"@guilhermegavazzoni"
Endereço vinculado ao lead
Show child attributes
Show child attributes
{
"zip": "88338-130",
"address": "Avenida Brasil",
"block": "Centro",
"city": "Balneário Camboriú",
"state": "SC",
"country": "BR"
}
ID das tags atreladas ao lead
Show child attributes
Show child attributes
{
"id": "849fefab-e697-4720-9303-e788c23790cc",
"name": "IA",
"color": "#DC2626",
"description": "Leads IA",
"createdAt": "2025-06-12T17:37:17.861Z"
}
Array de listas atreladas ao lead
[
{
"id": "5343afav-e697-4720-9303-e788c23711dd",
"name": "ativos",
"color": "#EB2626",
"description": "lista de compradores recorrentes",
"createdAt": "2025-06-12T17:37:17.861Z"
},
{
"id": "f2b3c92d-3843-406f-a3e3-672d2d7d2a27",
"name": "inativos",
"color": "#EB2626",
"description": "lista de compradores de baixa frequência",
"createdAt": "2025-12-03T17:28:09:5361Z"
}
]
Array de contatos atrelados ao lead
[
{
"platform": "EMAIL",
"contactId": "853b46db8ae664237d89dd6",
"lastContactStatus": null
},
{
"platform": "WHATSAPP",
"contactId": "555491664460",
"lastContactStatus": {
"platform": "WHATSAPP",
"contactId": "555491664460",
"instanceId": "681bb0510fe99d126e7c6b7b",
"isPending": true,
"lastReceivedMessage": {
"messageId": "684c13db8ae7797307d83cc3",
"date": "2025-06-13T12:04:48.218Z",
"errorCode": null
},
"lastSendedMessage": {
"messageId": "684c13c28ae7797307d83bc4",
"date": "2025-06-13T12:04:23.511Z",
"errorCode": null
}
}
}
]
Métricas referentes ao lead
Show child attributes
Show child attributes
{
"purchaseCount": 1,
"lastPurchaseDate": "2025-06-04T19:34:55.535Z",
"averageTicket": 14040,
"totalSpent": 21080,
"openBusinessesCount": 4,
"lostBusinessesCount": 1,
"lostBusinessesTotalValue": 7800,
"purchaseFrequency": 3
}
Atual atendente do lead
Show child attributes
Show child attributes
{
"userId": "86BshEbu5WY94ZOB8beUvk1y7tF2",
"id": "6cc8c79c-a0c8-4293-a4a0-d7e730aff7c7",
"name": "Joao da Silva",
"email": "joao@hotmail..com",
"phone": "554791331190"
}
Fonte de referencia do lead
Show child attributes
Show child attributes